Hairnet addon issues

In 3.0 the two opinions to either use sheets and curves work just fine, but fibermesh gives me this error no matter what

Tried using previous versions of hairnet on previous versions of blender, then appending the mesh I used it on into 3.0, but then I get a new error in the older version